local surface

local X = -20
local Y = -20

local Tiles = {}

script.on_init(function(event)

local t

for x = 0,400 do

	table.insert(Tiles,{name="grass-1", position={X,Y}})
	
	X = X + 1
	
		if X == 21 then
		
			X = -20
			
			Y = Y + 1
			
			if Y == 21 then
			
				Y = -20
			
			end
			
		end
	
end

--[[
for T, tile in pairs(Tiles) do

	game.surfaces["nauvis"].set_tiles({T,{

end
]]--
surface = game.create_surface("new-nauvis", 
		{
		terrain_segmentation = "normal",
		water = "high",
		starting_area = "small",
		default_enable_all_autoplace_controls = true,
		autoplace_controls =
		{
			
			["grass"] = 
				{
				frequency = "none",
				size = "none",
				richness = "none"
				},
			["dirt"] = 
				{
				frequency = "none",
				size = "none",
				richness = "none"
				},
			["sand"] = 
				{
				frequency = "none",
				size = "none",
				richness = "none"
				},
			["desert"] = 
				{
				frequency = "none",
				size = "none",
				richness = "none"
				},
			["trees"] = 
				{
				frequency = "none",
				size = "none",
				richness = "none"
				},
			["enemy-base"] = 
				{
				frequency = "none",
				size = "none",
				richness = "none"
				}
			--[[["grass-3"] = 
				{
				frequency = "very-high",
				size = "very-high",
				richness = "very-high"
				},
			["grass-4"] = 
				{
				frequency = "very-high",
				size = "very-high",
				richness = "very-high"
				},
			]]
		},
		cliff_settings =
		{
		name = "cliff",
		cliff_elevation_0 = 1024,
		cliff_elevation_interval = 40
		},
		seed = null
		})
		surface.daytime = 0
		
end)

script.on_event(defines.events.on_player_created, function(event)

  local player = game.players[event.player_index]

  player.insert({name="quenching-tower", count=1})
  player.insert({name="botanical-nursery", count=1})
  player.insert({name="distilator", count=1})
  player.insert({name="offshore-pump", count=1})
  player.insert({name="iron-plate", count=92})
  player.insert({name="copper-plate", count=50})
  player.insert({name="landfill", count=1000})
  player.insert({name="washer", count=1})
  player.insert({name="raw-wood", count=100})
  player.insert({name="wpu", count=1})
  player.insert({name="stone-furnace", count=1})
  player.insert({name="py-sinkhole", count=1})
  
  
  --generate small island to start on
  
	player.teleport({0,0},"new-nauvis")

  game.surfaces["new-nauvis"].set_tiles(Tiles)
  
end)
